## tpm2-pytss 1.2.0

=== docs/requirements.txt ===
alabaster==0.7.12
appdirs==1.4.4
asn1crypto==1.4.0
attrs==21.2.0
Babel==2.9.1
black==19.10b0
bleach==4.1.0
certifi==2021.10.8
cffi==1.15.0
charset-normalizer==2.0.9
click==8.0.3
codecov==2.1.12
colorama==0.4.4
coverage==6.2
cryptography==36.0.1
docutils==0.16
execnet==1.9.0
gitdb==4.0.9
GitPython==3.1.24
idna==3.3
imagesize==1.3.0
importlib-metadata==4.8.2
iniconfig==1.1.1
jeepney==0.7.1
Jinja2==3.0.3
keyring==23.4.0
markdown-it-py==2.0.0
MarkupSafe==2.0.1
mdit-py-plugins==0.3.0
mdurl==0.1.0
myst-parser==0.16.0
packaging==21.3
pathspec==0.9.0
pkgconfig==1.5.5
pkginfo==1.8.2
pluggy==1.0.0
py==1.11.0
pycparser==2.21
Pygments==2.10.0
pyparsing==3.0.6
pytest==6.2.5
pytest-cov==3.0.0
pytest-forked==1.4.0
pytest-xdist==2.5.0
pytz==2021.3
PyYAML==6.0
readme-renderer==32.0
regex==2021.11.10
requests==2.26.0
requests-toolbelt==0.9.1
rfc3986==1.5.0
SecretStorage==3.3.1
setuptools-scm==6.3.2
six==1.16.0
smmap==5.0.0
snowballstemmer==2.2.0
Sphinx==4.3.1
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
sphinx-rtd-theme==1.0.0
toml==0.10.2
tomli==2.0.0
tqdm==4.62.3
twine==3.7.1
typed-ast==1.5.1
typing-extensions==4.0.1
urllib3==1.26.7
webencodings==0.5.1
zipp==3.6.0

=== debian/changelog ===
tpm2-pytss (1.2.0-3) unstable; urgency=medium

  * Fix FTBFS issue, changing `python3-dev` -> `python3-all-dev` build
    dependency. (#1025406)
  * Remove test_fapi.py test suite (#1025406)

 -- Claudius Heine <ch@denx.de>  Tue, 13 Dec 2022 10:15:19 +0100

tpm2-pytss (1.2.0-2) unstable; urgency=high

  * Team upload
  * Mark python3-all:any

 -- Bastian Germann <bage@debian.org>  Fri, 21 Oct 2022 13:37:20 +0200

tpm2-pytss (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1011358)
  * Thanks to Carsten Schoenert for review and polish of the packaging.

 -- Claudius Heine <ch@denx.de>  Tue, 23 Aug 2022 14:35:10 +0200

=== debian/control ===
Source: tpm2-pytss
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Claudius Heine <ch@denx.de>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libtss2-dev,
 pybuild-plugin-pyproject,
 python3-all:any,
 python3-all-dev,
 python3-asn1crypto,
 python3-cffi (>= 1.0.0),
 python3-cryptography (>= 3.0),
 python3-doc,
 python3-myst-parser,
 python3-pkgconfig,
 python3-pytest-cov <!nocheck>,
 python3-pytest-forked <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 swtpm <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/tpm2-software/tpm2-pytss
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/tpm2-pytss.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/tpm2-pytss

Package: python-tpm2-pytss-doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Section: doc
Build-Profiles: <!nodoc>
Description: Provides Python bindings for a number of APIs for the TPM2 TSS (documentation)
 TPM2 TSS Python bindings for Enhanced System API (ESYS), Feature API (FAPI),
 Marshaling (MU), TCTI Loader (TCTILdr) and RC Decoding (rcdecode) libraries.
 It also contains utility methods for wrapping keys to TPM 2.0 data structures
 for importation into the TPM, unwrapping keys and exporting them from the TPM,
 TPM-less makecredential command and name calculations, TSS2 PEM Key format
 support, importing Keys from PEM, DER and SSH formats, conversion from
 tpm2-tools based command line strings and loading tpm2-tools context files.
 .
 This package contains the documentation for TPM2 PyTSS.

Package: python3-tpm2-pytss
Architecture: any
Depends:
 python3-asn1crypto,
 python3-cffi (>= 1.0.0),
 python3-cryptography (>= 3.0),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests: python-tpm2-pytss-doc
Description: Provides Python bindings for a number of APIs for the TPM2 TSS (Python 3)
 TPM2 TSS Python bindings for Enhanced System API (ESYS), Feature API (FAPI),
 Marshaling (MU), TCTI Loader (TCTILdr) and RC Decoding (rcdecode) libraries.
 It also contains utility methods for wrapping keys to TPM 2.0 data structures
 for importation into the TPM, unwrapping keys and exporting them from the TPM,
 TPM-less makecredential command and name calculations, TSS2 PEM Key format
 support, importing Keys from PEM, DER and SSH formats, conversion from
 tpm2-tools based command line strings and loading tpm2-tools context files.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=tpm2_pytss
export PYBUILD_OPTION="--test-pytest"

# Disable test_encrypted_key because it requires user input of a password
# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1018159
export PYBUILD_TEST_ARGS=-k 'not test_encrypted_key' test

# Building package outside scm repo fails, so set the version explicitly:
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=./src python3 -m sphinx -b html -N docs/ \
		$(CURDIR)/debian/python-tpm2-pytss-doc/usr/share/doc/python-tpm2-pytss-doc/html
	rm $(CURDIR)/debian/python-tpm2-pytss-doc/usr/share/doc/python-tpm2-pytss-doc/html/.nojekyll
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
	https://github.com/tpm2-software/tpm2-pytss/tags \
	(?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@

## tpm2-pytss 2.1.0

=== debian/changelog ===
tpm2-pytss (2.1.0-1) unstable; urgency=medium

  * Update to 2.1.0 (Closes: #1022777, #1042041)
  * Enable hardening
  * Reenable encrypted_key test
  * Drop unnecessary CI file

 -- Claudius Heine <ch@denx.de>  Fri, 28 Jul 2023 11:34:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,13 @@
 
 #export DH_VERBOSE = 1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=tpm2_pytss
 export PYBUILD_OPTION="--test-pytest"
-
-# Disable test_encrypted_key because it requires user input of a password
-# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1018159
-export PYBUILD_TEST_ARGS=-k 'not test_encrypted_key' test
 
 # Building package outside scm repo fails, so set the version explicitly:
 export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

## tpm2-pytss 2.2.0

=== debian/changelog ===
tpm2-pytss (2.2.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:04 +1100

tpm2-pytss (2.2.0-1build2) noble; urgency=medium

  * No-change rebuild against libtss2-tctildr0t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 15:11:19 +1300

tpm2-pytss (2.2.0-1build1) noble; urgency=medium

  * Rebuild against new libtss2-mu-4.0.1-0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jan 2024 13:15:09 +0100

tpm2-pytss (2.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.2.0. Closes: 1060309.
  * patch: drop float128-pycparse, applied upstream

 -- Jérémy Lal <kapouer@melix.org>  Tue, 09 Jan 2024 18:06:57 +0100

tpm2-pytss (2.1.0-2) unstable; urgency=medium

  * Team upload
  * Disconnect sphinx extdev handler (Closes: #1057609)

 -- Bastian Germann <bage@debian.org>  Sat, 30 Dec 2023 12:33:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: tpm2-pytss
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Claudius Heine <ch@denx.de>
 Section: python
 Priority: optional
@@ -15,7 +16,9 @@
  python3-cryptography (>= 3.0),
  python3-doc,
  python3-myst-parser,
+ python3-packaging,
  python3-pkgconfig,
+ python3-pycparser,
  python3-pytest-cov <!nocheck>,
  python3-pytest-forked <!nocheck>,
  python3-pytest <!nocheck>,
@@ -25,7 +28,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  swtpm <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/tpm2-software/tpm2-pytss
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/tpm2-pytss.git
@@ -55,6 +58,8 @@
  python3-asn1crypto,
  python3-cffi (>= 1.0.0),
  python3-cryptography (>= 3.0),
+ python3-packaging,
+ python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

## tpm2-pytss 2.2.1

=== debian/changelog ===
tpm2-pytss (2.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.2.1.
    Compatible with python3-cryptography 42

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 Mar 2024 21:52:06 +0100

## tpm2-pytss 2.3.0

=== debian/changelog ===
tpm2-pytss (2.3.0-1) unstable; urgency=medium

  * Team upload
  * Apply pre-release version mangling
  * New upstream version 2.3.0 (Closes: #1073384)

 -- Bastian Germann <bage@debian.org>  Fri, 05 Jul 2024 13:30:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: tpm2-pytss
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Claudius Heine <ch@denx.de>
 Section: python
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,5 @@
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=./src python3 -m sphinx -b html -N docs/ \
 		$(CURDIR)/debian/python-tpm2-pytss-doc/usr/share/doc/python-tpm2-pytss-doc/html
-	rm $(CURDIR)/debian/python-tpm2-pytss-doc/usr/share/doc/python-tpm2-pytss-doc/html/.nojekyll
 	dh_sphinxdoc
 endif

=== debian/tests/control ===
Tests: pytest
Restrictions: allow-stderr
Depends:
 libtss2-dev,
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-forked,
 python3-pytest-xdist,
 python3-tpm2-pytss,
 swtpm,

## tpm2-pytss 3.0.0~rc0

=== docs/requirements.txt ===
setuptools_scm[toml]>=3.4.3
cffi>=1.0.0
pkgconfig
cryptography>=3.0
asn1crypto
packaging
pycparser
cffi>=1.0.0
asn1crypto
cryptography>=3.0
packaging
pyyaml
# needed for readthedocs builds:
GitPython
myst_parser
sphinx_rtd_theme

=== debian/changelog ===
tpm2-pytss (3.0.0~rc0-2) unstable; urgency=medium

  * Team upload
  * Drop python3-pytest-forked from build dependencies
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Wed, 12 Nov 2025 22:49:56 +0100

tpm2-pytss (3.0.0~rc0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.0.0~rc0 (Closes: #1098009)
  * Undo version mangling for Python

 -- Bastian Germann <bage@debian.org>  Wed, 24 Sep 2025 12:02:32 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  python3-pkgconfig,
  python3-pycparser,
  python3-pytest-cov <!nocheck>,
- python3-pytest-forked <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-xdist <!nocheck>,
  python3-setuptools,
@@ -27,9 +26,8 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  swtpm <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/tpm2-software/tpm2-pytss
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/tpm2-pytss.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tpm2-pytss

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,10 @@
 export PYBUILD_OPTION="--test-pytest"
 
 # Building package outside scm repo fails, so set the version explicitly:
-export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
+export SETUPTOOLS_SCM_PRETEND_VERSION=$(subst ~,-,$(DEB_VERSION_UPSTREAM))
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with sphinxdoc
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
  python3-all,
  python3-pytest,
  python3-pytest-cov,
- python3-pytest-forked,
  python3-pytest-xdist,
  python3-tpm2-pytss,
  swtpm,
